> For the complete documentation index, see [llms.txt](/llms.txt).

# Get introducers associated with a partner

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/introducers/`

Returns a list of all introducers, including default one, associated with a partner. The introducer will show up in this list if they have registered under your company at our introducer portal at https://www.iwoca.co.uk/introducer/.

## Query parameters
- `email` (string) — Email address to filter results by.
- `uid` (string) — Filter by introducer_id (UUID format)
- `company_id` (string) — Company UUID to filter results by. This is only relevant if you're managing introducers from multiple companies via your API integration.

## Responses
### 200 — List of partner introducers
```json
{
  "data": {
    "introducers": [
      {
        "company_id": "00000000-0000-0000-0000-000000000000",
        "company_name": "string",
        "email": "name@example.com",
        "first_name": "string",
        "last_name": "string",
        "uuid": "00000000-0000-0000-0000-000000000000"
      }
    ]
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/introducers/?email=<email>&uid=<uid>&company_id=<company_id>' \
  --header 'Authorization: Bearer <api-key>'
```